# stdex: stdex::html::url_token< T, TR, AX > Class Template Reference

Loading...
Searching...
No Matches
stdex::html::url_token< T, TR, AX > Class Template Reference

HTTP token representing an URL. More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::url_token< T, TR, AX >:

## Public Attributes

std::basic_string< T, TR, AX > | url
| URL.
token_url_t | encoding
| URL encoding.
Public Attributes inherited from stdex::html::token
token_t | type
| Token type.
sequence * | sequence
| Pointer to the sequence this token represents or nullptr when it doesn't trivially represent one sequence.
uintptr_t | data
| Any user-supplied data.

## Protected Member Functions

| url_token (_In_reads_or_z_opt_(num_chars) const T *_url=nullptr, size_t num_chars=0, token_url_t _encoding=token_url_t::plain, stdex::html::sequence *sequence=nullptr, uintptr_t data=0)
Protected Member Functions inherited from stdex::html::token
| token (token_t _type=token_t::root, sequence *_sequence=nullptr, uintptr_t _data=0)

## Friends

class | parser< T, TR, AX >

## Additional Inherited Members

Public Member Functions inherited from stdex::html::token
template<class TR = std::char_traits<char>, class AX = std::allocator<char>>
size_t | append_tag (std::basic_string< char, TR, AX > &str) const
| Appends token tag to the source code.
template<class TR = std::char_traits<wchar_t>, class AX = std::allocator<wchar_t>>
size_t | append_tag (std::basic_string< wchar_t, TR, AX > &str) const
| Appends token tag to the source code.
Static Public Member Functions inherited from stdex::html::token
template<class T >
static token * | parse_tag (const T *str, size_t &offset)

## Detailed Description

template<class T, class TR = std::char_traits<T>, class AX = std::allocator<T>>
class stdex::html::url_token< T, TR, AX >

HTTP token representing an URL.

The documentation for this class was generated from the following file:

- include/stdex/html.hpp